<style>
  footer {
    display: none;
  }
  .slidebarFullSize {
    height: calc(100dvh - 60px) !important;
  }
</style>

{% load static %}
<div id="admin-slidebar" data-page="{{ page }}" data-section="{{ section }}">
  <div id="openAdminSidebar" onclick="openCloseAdminSidebar(this)">
    <i class="openCloseAdminSidebarIcon fa-solid fa-arrow-right sideBarIcon"></i>
  </div>
  <div class="admin-slidebar-top">
    <a href="{% url 'user_profile' %}" class="admin-slidebar-top-name d-flex justify-content-center align-items-center gap-2">
      <i class="fa-solid fa-user me-3"></i>
      <span>{{ request.user.get_last_name }} {{ request.user.get_first_name }}</span>
    </a>
  </div>
  <div class="admin-slidebar-center">
    <form>
      <input id="searchSideBarInput" onkeyup="searchControlPanelSections(this)" type="text" placeholder="Rechercher ..." class="px-2" />
    </form>
    <div class="sections">
      <section class="admin-slidebar-center-sections order-0" id="admin-slidebar-center-section-1" >
        <a href="{% url 'new_article' %}" class="section-name row-wapper">
          <i class="fa-solid fa-plus mb-1"></i>
          <p class="pt-2">Ajouter un nouvel article</p>
        </a>
      </section>
      <section class="admin-slidebar-center-sections order-0" id="admin-slidebar-center-section-2">
        <div class="section-name row-wapper" onclick="openCloseSection(this)">
          <i class="fa-solid fa-hammer"></i>
          <p class="pt-2">Vue générale</p>
          <i class="row-wapper-icon fa-solid fa-caret-down"></i>
        </div>
        <ul>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'index_user' %}">Page d'accueil</a>
          </li>
        </ul>
      </section>
      <section class="admin-slidebar-center-sections {{ get_nb_repairs_tobe_validate.2 }}" id="admin-slidebar-center-section-3">
        <a href="{% url 'list_repairs' %}" class="section-name row-wapper">
          <i class="fa-solid fa-hammer"></i>
          <p class="pt-2">Réparations</p>
          {% if get_nb_repairs_tobe_validate.0 %}
            <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
              ({{get_nb_repairs_tobe_validate.1}})
            </span>
          {% endif %}
        </a>
      </section>
      <section class="admin-slidebar-center-sections" id="admin-slidebar-center-section-4" >
        <div class="section-name row-wapper" onclick="openCloseSection(this)">
          <i class="fa-solid fa-plane"></i>
          <p class="pt-2">Drones</p>
          <i class="row-wapper-icon fa-solid fa-caret-down"></i>
        </div>
        <ul>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_article_with_type' 0 %}" >Toutes les catégories</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_article_with_type' 1 %}">Drones de loisir</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_article_with_type' 2 %}" >Drones professionnels</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_article_with_type' 3 %}">Drones FPV</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_article_sorted' 'occasion' %}" >Drones d'occasion</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_article_sorted' 'rentable' %}" >Drones de location</a>
          </li>
        </ul>
      </section>
      <section class="admin-slidebar-center-sections" id="admin-slidebar-center-section-5">
        <a href="{% url 'list_article_with_type' 4 %}" class="section-name row-wapper">
          <i class="fa-solid fa-puzzle-piece"></i>
          <p class="pt-2">Piéces détachées</p>
        </a>
      </section>

      <section class="admin-slidebar-center-sections" id="admin-slidebar-center-section-6">
        <a href="{% url 'list_article_with_type' 5 %}" class="section-name row-wapper">
          <i class="fa-solid fa-camera-retro"></i>
          <p class="pt-2">Stabilisateurs</p>
        </a>
      </section>
      <section class="admin-slidebar-center-sections" id="admin-slidebar-center-section-7">
        <a href="{% url 'list_article_with_type' 6 %}" class="section-name row-wapper">
          <i class="fa-solid fa-puzzle-piece"></i>
          <p class="pt-2">Accessoires</p>
        </a>
      </section>

      <section class="admin-slidebar-center-sections {{ get_nb_sell_tobe_validate.2 }}" id="admin-slidebar-center-section-8">
        <div class="section-name row-wapper" onclick="openCloseSection(this)">
          <i class="fa-solid fa-basket-shopping"></i>
          <p class="pt-2">Reprise</p>
          <i class="row-wapper-icon fa-solid fa-caret-down "></i>
          {% if get_nb_sell_tobe_validate.0 %}
            <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
              ({{get_nb_sell_tobe_validate.1}})
            </span>
          {% endif %}
        </div>
        <ul>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'sell_list_all' %}">Liste des propositions</a>
            {% if get_nb_sell_tobe_validate.0 %}
            <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
              ({{get_nb_sell_tobe_validate.1}})
            </span>
          {% endif %}
          </li>
        </ul>
      </section>
      <section class="admin-slidebar-center-sections" id="admin-slidebar-center-section-9">
        <div class="section-name row-wapper" onclick="openCloseSection(this)">
          <i class="fa-solid fa-users"></i>
          <p class="pt-2">Utilisateurs</p>
          <i class="row-wapper-icon fa-solid fa-caret-down"></i>
        </div>
        <ul>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_users' %}">Liste des utilisateurs</a>
          </li>
        </ul>
      </section>
      <section class="admin-slidebar-center-sections" id="admin-slidebar-center-section-10">
        <div class="section-name row-wapper" onclick="openCloseSection(this)">
          <i class="fa-solid fa-gear"></i>
          <p class="pt-2">Paramètres du site</p>
          <i class="row-wapper-icon fa-solid fa-caret-down"></i>
        </div>
        <ul>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-pen-to-square"></i>
            <a href="{% url 'edit_slider_images' %}">Modifier les images de sider</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-pen-to-square"></i>
            <a href="{% url 'edit_secondary_slider' %}">Modifier des secondes sliders</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-pen-to-square"></i>
            <a href="{% url 'edit_company_info' %}">Modifier les informations de contact</a>
          </li>
        </ul>
      </section>
      <section class="admin-slidebar-center-sections {{ get_nb_rent_tobe_validate.2 }}" id="admin-slidebar-center-section-11">
        <div class="section-name row-wapper" onclick="openCloseSection(this)">
          <i class="fa-solid fa-business-time"></i>
          <p class="pt-2">Location</p>
          <i class="row-wapper-icon fa-solid fa-caret-down"></i>
          {% if get_nb_rent_tobe_validate.0 %}
            <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
              ({{get_nb_rent_tobe_validate.1}})
            </span>
          {% endif %}
        </div>
        <ul>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_article_sorted' 'rentable' %}">Liste des drones</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_rent' %}">Liste des demandes</a>
            {% if get_nb_rent_tobe_validate.0 %}
              <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
                ({{get_nb_rent_tobe_validate.1}})
              </span>
            {% endif %}
          </li>
        </ul>
      </section>
      <section class="admin-slidebar-center-sections" id="admin-slidebar-center-section-12">
        <div class="section-name row-wapper" onclick="openCloseSection(this)">
          <i class="fa-solid fa-envelope"></i>
          <p class="pt-2">Gestion des mails</p>
          <i class="row-wapper-icon fa-solid fa-caret-down"></i>
        </div>
        <ul>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-plus"></i>
            <a href="{% url 'new_mail' %}">Envoyer un e-mail</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-plus"></i>
            <a href="{% url 'list_mails' %}">E-mails envoyées</a>
          </li>
        </ul>
      </section>
      <section class="admin-slidebar-center-sections {{ get_nb_commands_tobe_validate.2 }}" id="admin-slidebar-center-section-13">
        <div class="section-name row-wapper" onclick="openCloseSection(this)">
          <i class="fas fa-shopping-cart"></i>
          <p class="pt-2">Commandes</p>
          <i class="row-wapper-icon fa-solid fa-caret-down"></i>
          {% if get_nb_commands_tobe_validate.0 %}
            <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
              ({{get_nb_commands_tobe_validate.1}})
            </span>
          {% endif %}
        </div>
        <ul>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'all_commands' %}">Listes des commandes</a>
            {% if get_nb_commands_tobe_validate.0 %}
              <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
                ({{get_nb_commands_tobe_validate.1}})
              </span>
            {% endif %}
          </li>
        </ul>
      </section>
      <section class="admin-slidebar-center-sections {{ get_nb_problems.2 }}" id="admin-slidebar-center-section-14">
        <a href="{% url 'list_problems' %}" class="section-name row-wapper">
          <i class="fa-solid fa-triangle-exclamation"></i>
          <p class="pt-2">Problèmes</p>
          {% if get_nb_problems.0 %}
            <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
              ({{get_nb_problems.1}})
            </span>
          {% endif %}
        </a>
      </section>

      <section class="admin-slidebar-center-sections {{ get_nb_messages.2 }}" id="admin-slidebar-center-section-15" >
        <a href="{% url 'list_messages' %}" class="section-name row-wapper">
          <i class="fa-solid fa-message"></i>
          <p class="pt-2">Messages</p>
          {% if get_nb_messages.0 %}
            <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
              ({{get_nb_messages.1}})
            </span>
          {% endif %}
        </a>
      </section>
      <section class="admin-slidebar-center-sections {{ get_total_notes_tobe_validate.2 }}" id="admin-slidebar-center-section-16" >
        <div class="section-name row-wapper" onclick="openCloseSection(this)">
          <i class="fa-solid fa-star"></i>
          <p class="pt-2">Avis</p>
          <i class="row-wapper-icon fa-solid fa-caret-down"></i>
          {% if get_total_notes_tobe_validate.0 %}
            <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
              ({{get_total_notes_tobe_validate.1}})
            </span>
          {% endif %}
        </div>
        <ul>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_notes' 2 %}">Avis sur articles</a>
            {% if get_nb_notes_article_tobe_validate.0 %}
              <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
                ({{get_nb_notes_article_tobe_validate.1}})
              </span>
            {% endif %}
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_notes' 3 %}">Avis sur réparations</a>
            {% if get_nb_notes_repair_tobe_validate.0 %}
              <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
                ({{get_nb_notes_repair_tobe_validate.1}})
              </span>
            {% endif %}
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_notes' 5 %}">Avis sur location</a>
            <!-- <a href="{% url 'list_notes' 5 %}">{{ get_nb_notes_rent_tobe_validate }}</a> -->
            {% if get_nb_notes_rent_tobe_validate.0 %}
              <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
                ({{get_nb_notes_rent_tobe_validate.1}})
              </span>
            {% endif %}
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_notes' 1 %}">Avis sur site</a>
            {% if get_nb_notes_site_tobe_validate.0 %}
              <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
                ({{get_nb_notes_site_tobe_validate.1}})
              </span>
            {% endif %}
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'list_notes' 4 %}">Avis sur commandes</a>
            {% if get_nb_notes_command_tobe_validate.0 %}
              <span class="text-danger text-center pb-2  ms-auto" id="nb-repair-section-span">
                ({{get_nb_notes_command_tobe_validate.1}})
              </span>
            {% endif %}
          </li>
        </ul>
      </section>
      <section class="admin-slidebar-center-sections" id="admin-slidebar-center-section-17" >
        <div class="section-name row-wapper" onclick="openCloseSection(this)">
          <i class="fa-solid fa-box-archive"></i>
          <p class="pt-2">Gestion de l'archive</p>
          <i class="row-wapper-icon fa-solid fa-caret-down"></i>
        </div>
        <ul>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'articles_archived' %}">Articles archivés</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'repair_archived' %}">Demandes de réparations</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'orders_archived' %}">Commandes archivées</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'rents_archived' %}">Demandes de location</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'mails_archived' %}">Mails envoyés</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'problems_archived' %}">Problèmes</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'messages_archived' %}">Messages</a>
          </li>
          <li class="d-flex justify-content-center gap-3 align-items-center">
            <i class="fa-solid fa-list"></i>
            <a href="{% url 'notes_archived' %}">Avis</a>
          </li>
        </ul>
      </section>
      <section class="admin-slidebar-center-sections {{ get_nb_messages.2 }}" id="admin-slidebar-center-section-18" >
        <a href="{% url 'list_other' %}" class="section-name row-wapper">
          <i class="fa-sharp fa-solid fa-gears"></i>
          <p class="pt-2">Autres gestions</p>
        </a>
      </section>
    </div>
  </div>
  <div class="admin-slidebar-bottom">
    <a href="{% url 'logout_user' %}" class="admin-slidebar-top-name d-flex justify-content-center align-items-center gap-2" >
      <i class="fa-solid fa-sign-out-alt"></i>
      <span>Se déconnecter</span>
    </a>
  </div>
</div>

<!-- <script src="{% static 'assets/js/admin.js' %}"></script> -->



<script>
  // setInterval(set_sections_notifications('{{ csrf_token }}'), 3000)

  const header = document.querySelector("#main-header");
  const slidebar = document.querySelector("#admin-slidebar");
  if (header.classList.contains("HeaderSticky")) {
    slidebar.classList.add("slidebarFullSize");
  } else {
    slidebar.classList.remove("slidebarFullSize");
  }
</script>
